# Environment Variables Miscellaneous

ABE=ASCII

Save processing tables in ASCII format. (*cabe)

Version Ref: 1.0

PF64K=ON

Turns on/off size warning in cabe. (*cabe)

Version Ref: 4.5

PFADDWP=OFF

Turns off adding .wp extension to export word. (*clerk, *report)

Version Ref: 4.5

PFAUTOKSIZE=nnn

Override default tok size for auto processing. Equivalent of -ty flag. If not set, default value is "20000" prior to 5.6.0 and "100000" with 5.6.0 and later. (*cabe, *clerk, *report)

Version Ref: 4.8

PFBACKGROUND=OFF|ON

Turns off ability of user to throw session into background via -bg or !g for "*report" and "dxmaint". Default is "ON" (*report, dxmaint)

Version Ref: 4.8

PFBLANKOV=ON | OFF

Causes date math with blank dates to return "/OV". Default (unset) is OFF (*clerk, *report)

Version Ref: 4.8.8

PFBLDFREE=OFF | ON

Freechain build message. Default is OFF. (*clerk, *report)

Version Ref: 4.5

PFBREAK=OLD

Processing halts when break key pressed. (new or non-set behavior is to continue report only see PFCLKBREAK for clerk) (*report)

Version Ref: 4.5

PFBRWSLASH=OFF

Some European character sets (i.e.: Norwegian) use character 0x5C (the backslash in US-ASCII) as a letter of their alphabet. Setting PFBRWSLASH=OFF turns off filePro's backslash-code handling for browse lookups. (*clerk)

Version Ref: 4.8

PFCLKBREAK=OLD

Return to last function when break key pressed. (*clerk only - see PFBREAK for report)

Version Ref: 4.5

PFCLOSEPENDWARNING=OFF

Add PFCLOSEPENDWARNING=OFF to disable the warning if you attempt to close an HTML tag when it was not open.

Version Ref: 5.0.15

PFDLGENTER=ON

Enter key acts like a save key.(*clerk)

Version Ref: 4.5

PFEDFAILBOX

(4.8.09) Causes "edit failed" messages to appear in a popup box, rather than flash at the bottom of the screen. (Similar to PFLOCKBOX=ON)

Version Ref: 4.8.9

Default: Unset is OFF.

PFEOF=nnn

Sets the End-of-field marker character for filePro's memo editor.

Version Ref: 5.0

Default: 17

PFEOP=nnn

Sets the End-of-Paragraph marker character for the filePro memo editor.

Version Ref: 5.0

Default: 17 or the override value set by "PFEOF".

PFEXPORTALL=ON

EXPORT ASCII/WORD would always export the same number of fields, regardless of whether the fields were assigned to on each record, even if they were only referenced in a comment. Now, filePro will only export the number of fields as the highest-reference field actually assigned.

For example:

If:

Then: out[1] = 1 ; out[2] = 4

If: xx = "y"

Then: out[3] = 3 ; out[4] = 4

If:

Then: ' out[5] = 5

filePro would previously always exported 5 fields. Now, if x="y" is true, it will export 4 fields, and if false will export 2 fields. To revert back to the old behavior, set PFEXPORTALL=ON.

Version Ref: 5.0.14

PFFIXEDLISTSIZE=ON

Version Ref: 5.0.9

Prevents filePro from shrinking selection lists. This allows screen readers for the blind to be programmed with fixed screen locations for such lists.

Default: OFF

PFFIXNOLOCK=OFF

Version Ref: 5.0.9

Turns off a change in behavior related to how filePro handles posting to a lookup that does not have a "-p" to lock the record. This returns the behavior to the method used in handling record locks prior to version 4.8.10

PFFORMTOKSIZE=nnn

Override default tok size for "FORM" command for @keyF (equivalent of -tf flag). If not set, default value is "20000" prior to 5.6.0 and "100000" with 5.6.0 and later. (*clerk)

Version Ref: 4.8

PFHELPAUTOGOTO=ON|OFF

Automatically forces F9 for index search upon entering help.

Version Ref: 5.0.2

PFHELPDIR=path

Sets alternate help file directory. If help is not found in the specified path, filePro will look in $PFPROG/fp/lib as well.

Note: This variable only applies for filePro /fp/lib help files. Application help files are not affected.

P FIDLEN=nnnn

Setting PFIDLEN=32 will cause @ID, @CB, and @UB to have a length of 32 rather than 8. (The only legal values are

currently "8" and "32". Any other value is undefined.) Default is 8

Version Ref: 5.8.00

PFIMPBUF=nnnn

Increase default record length for importing ASCII files. Default "1024" prior to release 5.6.0 and "10000" with 5.6.0 and later. (*clerk, *report)

Version Ref: 4.1

PFLBSIZE=nnn

Determines the maximum number of labels that can be in a processing table. Note that this includes labeled processing lines, lookups, arrays, aliases, and selection set names. (Note that using the same lookup name, alias, or selection set name more than once only counts as one entry.) The default value is 1000 but can be set to any value from 100 to 32,767.

Version Ref: 4.5

PFLISTSLASH=OFF

Some European character sets (i.e.: Norwegian) use character 0x5C (the backslash in US-ASCII) as a letter of their alphabet. Setting PFLISTSLASH=OFF turns off filePro's backslash-code handling for listbox. (*clerk,*report)

Version Ref: 4.8

PFLOCKBOX=OFF

Flashes "record is being updated" message. (*clerk, *report)

Version Ref: 4.5

PFLONGVARDOT=OLD

filePro used to accept a period in variable names. This is now not allowed (it never should have been allowed in the first place), in order to permit enhanced functionalities. To revert to the old behavior and allow periods in variable names, you can set PFLONGVARDOT=OLD. Note, however, that this will disable certain features, such as access to ODBC and biometrics, which require that periods not be allowed here.

Version Ref: 5.0.14

PFLOOKWIZPROT=ON | OFF

Changes the lookup wizard's "protect record". PFLOOKWIZPROT=ON will change the lookup wizard's "protect record" default to "Y". (*cabe)

Version Ref: 5.0.6

PFLX=ON | OFF

Globally disables the ability to create a browse lookup using the F6 key wherever it was possible to do so. Equivalent to the "-lx" command line flag. (*clerk)

Version Ref: 4.8

PFMBTO=nnn

(Unix only) Allows automatic timeout to any popup message boxes. PFMBTO=nn will cause all message boxes to time-out after nnn seconds, and act as if the user had pressed ENTER. (*clerk, *report)

Version Ref: 4.5.8 NIX

Version Ref: 5.8.00 Windows

PFMENBRK=OLD

Restores 4.1 behavior when pressing break in a menu. (*clerk, *report)

Version Ref: 4.5

PFMISSINGARG=OLD

PFMISSINGARG=OLD reverts back to old 4.1 behavior of ignoring missing arguments to command line flags, such as "-pn".

Version Ref: 4.8

PFMU=OFF

Turns off "protect lookup" in cabe lookup. (*cabe)

Version Ref: 4.5

PFNODF=ON

Disables ddefine, dexpand free-diskspace check. (ddefine, dexpand). Use for large disk drives when there is an error reporting "Insufficient Disk Space" and there is obviously plenty of free disk space.

PFNODFMSG=OFF

Turns off ddefine's "PFNODF=ON" notice. (Default: ON)

Version Ref: 5.6.2

PFNOHELP=ON | OFF

Displays "No Help Available" if ON. (*clerk, *report)

Version Ref: 4.1

PFNOQUAL=OFF

Turns off "[NONE]" from the qualifier list. (*clerk, *report, dxmaint)

Version Ref: 5.0

PFOLDONCE=ON

Although @ONCE in *report is documented as being run prior to any output being done, it was run while sitting on the last record read during the sort/select process. Some people thought that this meant that it was sitting on a selected record.

@ONCE has now been fixed to be not sitting on any record. However, some people depend on their incorrect interpretation of the old behavior, so setting PFOLDONCE=ON will "revert back" to a modified version of the old behavior, where it will now be run while sitting on the last record _selected_ during the sort/select process.

Version Ref: 5.0.14

PFOUTS=parameters

Specifies serial communication parameters. (*clerk, *report)

Version Ref: 4.1

PFPOSTPRINT=cmdline

(4.8.05K3) When set to "cmdline", filePro will execute "cmdline filename" after any printout or hardcopy, if destination is a filename.

Version Ref: 4.8

PFQUAL=qualifier

Qualified data set to use. (ddir, dexpand, *clerk, *report, dxmaint)

Version Ref: 3.0

PFQUALMESG="text"

Replace "Enter File Name Qualifier" prompt spawned by '-md' flag with prompt of your own choosing. (ddir, dexpand, *clerk, *report, dxmaint)

Version Ref: 5.0

PFREADONLYWARNING=OFF

If: LOCKED(-) support has been added.

Version Ref: 5.7.01

PFREFRESHRATE=nnn

Sets the screen refresh rate during sort/select and output phases to once every "nnn" seconds. (dxmaint/*report)

Default = 1

Version Ref: 5.0.6

PFRETRY=nnn

Number of retries for locked read. (*clerk, *report)

Version Ref: 4.5

PFSCC=ON

This will enable the "!scc" shell-escape within dclerk and rclerk, which has been disabled by default. (*clerk)

Version Ref: 4.8

PFSELECTBOXCASE

This variable can be set in the config file to determine the default case value so that it does not need to be programmed on the command line.

PFSELECTCASE=n (n = "0", "1", or "2", default=0)

Version Ref: 5.8.02

PFSKIPLOCKED=nnn

Allows locked records to be skipped after nnn seconds. Records skipped not included in @rp. (*report)

Version Ref: 4.8

PFSKIPPEDLOG=filename

Log records skipped by PFSKIPLOCKED=nnn. (*report)

Version Ref: 4.8

PFSP=xxx

Overrides the site password stored in fppath. (*cabe)

Version Ref: 4.5

PFSYNC=ON | ALL

ON = sync after expanding file, ALL = sync after all writes. (*clerk, *report)

Version Ref: 4.5

PFTOKSIZE=nnn

Override the default token table size. If not set, default value is "20000" prior to 5.6.0 and "100000" with 5.6.0 and later. (*cabe, *clerk, *report)

Version Ref: 4.1

PFVER=ON

Show individual filePro program version.

Version Ref: 1.0

PFWGT0=ON

Forces dreport and rreport to do @WGTprocessing even if no records are selected. (*report)

Version Ref: 4.8

PFXFERDOS=OLD

(4.5, SCO Unix only) PFXFERDOS=OLD tells xferdos to use the old dosdir/doscp command syntax. Default is to use SCO's new syntax. (xferdos)

Version Ref: 4.5